/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package pe.siso.horario.DAO;

import java.util.ArrayList;
import pe.siso.horario.Beans.Curso;

/**
 *
 * @author sistem16user
 */
public interface CursoDAO {
    public ArrayList<Curso> listarCurso() throws Exception;
    public ArrayList<Curso> listarCurso(String codigoArea,String codigoPlana) throws Exception;
    public void registrarCurso(String codigoCurso,String nombreCurso, String codFam) throws Exception;
    public void cambiarEstado(String dato, String codigoNivel) throws Exception;
    public void Actualizar(String codCurso, String codigoArea,String codigoPlana, String codfamilia, String Nombre) throws Exception;
    public Curso NombreCurso(String cod) throws Exception;
    public ArrayList<Curso> cargarCurso() throws Exception;
    public ArrayList<Curso> cargarCurso(String codigoArea) throws Exception;
    public ArrayList<Curso> cargarFamilia()throws Exception;
    public int cantidadCursoUso(String codigoCurso)throws Exception;
}
